## bluez-qt 5.67.0

=== debian/changelog ===
bluez-qt (5.67.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.67.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2020 09:47:42 +0000

bluez-qt (5.66.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.66.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2020 13:16:48 +0000

bluez-qt (5.65.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.65.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Dec 2019 22:56:41 +0000

bluez-qt (5.64.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.63.0)
  * New upstream release (5.64.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2019 21:22:15 +0000

bluez-qt (5.62.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.62.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 14 Sep 2019 08:04:41 +0100

bluez-qt (5.61.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.61.0)
  * Delete upstream_dont_use_bluezqt_dbustypes_header.diff, applied
    upstream

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Aug 2019 10:40:15 +0100

bluez-qt (5.60.0-0ubuntu2) eoan; urgency=medium

  * Disable testsuite autopkgtest for any architecture except amd64.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 21 Jul 2019 06:52:19 +0100

bluez-qt (5.60.0-0ubuntu1) eoan; urgency=medium

  [ Rik Mills ]
  * Move qdebug categories file to new location.
  * New upstream release (5.60.0)
  * Update symbols from build logs.

  [ José Manuel Santamaría Lema ]
  * Add upstream_dont_use_bluezqt_dbustypes_header.diff
  * Update symbols file

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 20 Jul 2019 08:13:54 +0100

bluez-qt (5.59.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.59.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 12 Jun 2019 11:17:08 +0100

bluez-qt (5.58.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.58.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 13 May 2019 15:37:51 +0100

bluez-qt (5.57.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.57.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 22 Apr 2019 08:39:56 +0100
