=== debian/control ===
--- 
+++ 
@@ -3,22 +3,21 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.5~),
+Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.62.0~),
+               extra-cmake-modules (>= 5.67.0~),
                graphviz,
                libqt5sql5-sqlite,
                pkg-kde-tools (>> 0.15.15),
                qml-module-qttest,
-               qtbase5-dev (>= 5.11.0~),
-               qtdeclarative5-dev (>= 5.11.0~),
-               qttools5-dev,
+               qtbase5-dev (>= 5.8.0~),
+               qtdeclarative5-dev (>= 5.8.0~),
                qttools5-dev-tools,
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/kde/workspace/bluez-qt
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/bluez-qt.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/bluez-qt
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/bluez-qt
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/bluez-qt
 
 Package: libkf5bluezqt-data
 Architecture: all
@@ -32,10 +31,10 @@
  This package contains the data files.
 
 Package: libkf5bluezqt-dev
+Architecture: linux-any
 Section: libdevel
-Architecture: linux-any
 Depends: libkf5bluezqt6 (= ${binary:Version}),
-         qtbase5-dev (>= 5.11.0~),
+         qtbase5-dev (>= 5.8.0~),
          ${misc:Depends},
 Recommends: libkf5bluezqt-doc (= ${source:Version})
 Description: development files for bluez-qt
@@ -45,6 +44,7 @@
 Package: libkf5bluezqt-doc
 Architecture: all
 Multi-Arch: foreign
+Section: doc
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: documentation files for bluez-qt
  bluez-qt is a Qt-style library for accessing the bluez Bluetooth stack.
@@ -52,15 +52,14 @@
  It is used by the KDE Bluetooth stack, BlueDevil.
  .
  This package contains the qch documentation files.
-Section: doc
 
 Package: libkf5bluezqt6
 Architecture: linux-any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: libkf5bluezqt-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
+Pre-Depends: ${misc:Pre-Depends}
 Description: Qt wrapper for bluez
  bluez-qt is a Qt-style library for accessing the bluez Bluetooth stack.
  .
