=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dbus-x11,
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.78.0~),
+               extra-cmake-modules (>= 5.80.0~),
                graphviz,
                libqt5sql5-sqlite,
                pkg-kde-tools (>> 0.15.15),
@@ -41,7 +41,7 @@
 Architecture: linux-any
 Depends: libkf5bluezqt6 (= ${binary:Version}),
          qtbase5-dev (>= 5.14.0~),
-         ${misc:Depends}
+         ${misc:Depends},
 Recommends: libkf5bluezqt-doc (= ${source:Version})
 Description: development files for bluez-qt
  This package provides all the necessary development headers for building
